CCDCONFIG(8)

NAME
ccdconfig - configuration utility for the concatenated disk driver

SYNOPSIS
ccdconfig [-cv] ccd ileave [flags] dev [...]
-C [-v] [-f config_file]
-u [-v] ccd [...]
-U [-v] [-f config_file]
-g [-M core] [-N system] [ ccd [...]]
-s [-M core] [-N system] [ ccd [...]]

DESCRIPTION
ccdconfig is used to dynamically configure and unconfigure concatenated disk devices, or ccds. For more information about the ccd, see ccd(4).

The options are as follows:

-c  Configure a ccd. This is the default behavior of.

-C  Configure all ccd devices listed in the ccd configuration file.

-f config_file
    When configuring or unconfiguring all devices, read the file config_file instead of the default /etc/ccd.conf.

-g  Dump the current ccd configuration in a format suitable for use as the ccd configuration file. If no arguments are specified, every configured ccd is dumped. Otherwise, the configuration of each listed ccd is dumped.

-s  Dump statistics gathered by the ccd driver. These can be useful for performance tuning.

-M core
    Extract values associated with the name list from core instead of the default /dev/mem.

-N system
    Extract the name list from system instead of the default /netbsd.

-u  Unconfigure a ccd.

-U  Unconfigure all ccd devices listed the ccd configuration file.

-v  Causes ccdconfig to be verbose.

A ccd is described on the command line and in the ccd configuration file by the name of the ccd, the interleave factor, the ccd configuration flags, and a list of one or more devices. The flags may be represented as a decimal number, a hexadecimal number, a comma-separated list of strings, or the word “none”. The flags are as follows:

    CCDF_SWAP		0x01		Interleave should be dmmax
    CCDF_UNIFORM	0x02		Use uniform interleave
    CCDF_MIRROR	0x04		Enable data mirroring

The format in the configuration file appears exactly as if it were entered on the command line. Note that on the command line and in the configuration file, the flags argument is optional.

    #
    # /etc/ccd.conf
    # Configuration file for concatenated disk devices
    #

    # ccd           ileave  flags   component devices
    ccd0            16      none    /dev/sd2e /dev/sd3e

EXAMPLE
The following command, executed from the command line, would configure ccd0 with 4 components (/dev/sd2e, /dev/sd3e, /dev/sd4e, /dev/sd5e), and an interleave factor of 32 blocks.

    # ccdconfig ccd0 32 0 /dev/sd2e /dev/sd3e /dev/sd4e /dev/sd5e

FILES
/etc/ccd.conf - default ccd configuration file.

SEE ALSO
ccd(4), rc(8)

HISTORY
The ccdconfig command first appeared in NetBSD 1.0a.